<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ServiceResponse.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.config</a> &gt; <span class="el_source">ServiceResponse.java</span></div><h1>ServiceResponse.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.config;

import lombok.Getter;
import lombok.Setter;

@Getter
<span class="nc" id="L7">@Setter</span>
<span class="nc" id="L8">public class ServiceResponse {</span>
<span class="nc" id="L9">    private String responseStatus;</span>
<span class="nc" id="L10">    private String responseMessage;</span>

    public ServiceResponse successValidateOtp(ServiceResponse serviceResponse) {
<span class="nc" id="L13">        serviceResponse.setResponseStatus(ServiceResponseStatus.SUCCESS_VALIDATE_OTP.getCode());</span>
<span class="nc" id="L14">        serviceResponse.setResponseMessage(ServiceResponseStatus.SUCCESS_VALIDATE_OTP.getMessage());</span>
<span class="nc" id="L15">        return serviceResponse;</span>
    }

    public ServiceResponse failValidateOtp(ServiceResponse serviceResponse) {
<span class="nc" id="L19">        serviceResponse.setResponseStatus(ServiceResponseStatus.FAIL_VALIDATE_OTP.getCode());</span>
<span class="nc" id="L20">        serviceResponse.setResponseMessage(ServiceResponseStatus.FAIL_VALIDATE_OTP.getMessage());</span>
<span class="nc" id="L21">        return serviceResponse;</span>
    }

    public ServiceResponse failExpireOtp(ServiceResponse serviceResponse) {
<span class="nc" id="L25">        serviceResponse.setResponseStatus(ServiceResponseStatus.FAIL_EXPIRE_OTP.getCode());</span>
<span class="nc" id="L26">        serviceResponse.setResponseMessage(ServiceResponseStatus.FAIL_EXPIRE_OTP.getMessage());</span>
<span class="nc" id="L27">        return serviceResponse;</span>
    }

    public ServiceResponse failUsedOtp(ServiceResponse serviceResponse) {
<span class="nc" id="L31">        serviceResponse.setResponseStatus(ServiceResponseStatus.FAIL_USED_OTP.getCode());</span>
<span class="nc" id="L32">        serviceResponse.setResponseMessage(ServiceResponseStatus.FAIL_USED_OTP.getMessage());</span>
<span class="nc" id="L33">        return serviceResponse;</span>
    }

    public ServiceResponse failParsing(ServiceResponse serviceResponse) {
<span class="nc" id="L37">        serviceResponse.setResponseStatus(ServiceResponseStatus.FAIL_PARSING.getCode());</span>
<span class="nc" id="L38">        serviceResponse.setResponseMessage(ServiceResponseStatus.FAIL_PARSING.getMessage());</span>
<span class="nc" id="L39">        return serviceResponse;</span>
    }

    public ServiceResponse successRequestOtp(ServiceResponse serviceResponse) {
<span class="nc" id="L43">        serviceResponse.setResponseStatus(ServiceResponseStatus.SUCCESS_SEND_OTP.getCode());</span>
<span class="nc" id="L44">        serviceResponse.setResponseMessage(ServiceResponseStatus.SUCCESS_SEND_OTP.getMessage());</span>
<span class="nc" id="L45">        return serviceResponse;</span>
    }

    public ServiceResponse failRequestOtp(ServiceResponse serviceResponse) {
<span class="nc" id="L49">        serviceResponse.setResponseStatus(ServiceResponseStatus.FAIL_SEND_OTP.getCode());</span>
<span class="nc" id="L50">        serviceResponse.setResponseMessage(ServiceResponseStatus.FAIL_SEND_OTP.getMessage());</span>
<span class="nc" id="L51">        return serviceResponse;</span>
    }
    public ServiceResponse failRequestSms(ServiceResponse serviceResponse) {
<span class="nc" id="L54">        serviceResponse.setResponseStatus(ServiceResponseStatus.FAIL_SEND_SMS.getCode());</span>
<span class="nc" id="L55">        serviceResponse.setResponseMessage(ServiceResponseStatus.FAIL_SEND_SMS.getMessage());</span>
<span class="nc" id="L56">        return serviceResponse;</span>
    }

    public ServiceResponse failTypeOtp(ServiceResponse serviceResponse) {
<span class="nc" id="L60">        serviceResponse.setResponseStatus(ServiceResponseStatus.FAIL_TYPE_OTP.getCode());</span>
<span class="nc" id="L61">        serviceResponse.setResponseMessage(ServiceResponseStatus.FAIL_TYPE_OTP.getMessage());</span>
<span class="nc" id="L62">        return serviceResponse;</span>
    }


}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>